#include "first_app.hpp"

// std
#include <cstdlib>
#include <iostream>
#include <stdexcept>

#define GRAVITY_SYSTEM 1

int main()
{
    hk::FirstApp app{};

    try
    {
#if GRAVITY_SYSTEM == 1
        app.runGravitySystem();
#else
        app.run();
#endif
    }
    catch(const std::exception& e)
    {
        std::cerr << e.what() << '\n';
    }
    
}